IvyPublish
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class IvyPublish

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.IvyPublish

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyPublish

extends IvyTask

This task allow to publish a module revision to an Ivy repository.

Nested Class Summary
`static class` | `IvyPublish.ArtifactsPattern`
`class` | `IvyPublish.PublishArtifact`

Field Summary

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IvyPublish()`

Method Summary
`void` | `addArtifactspattern(java.lang.String artifactsPattern)`
`void` | `addConfiguredArtifacts(IvyPublish.ArtifactsPattern p)`
`IvyPublish.PublishArtifact` | `createArtifact()`
`void` | `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` | `getArtifactspattern()`
`java.lang.String` | `getDeliverivypattern()` Deprecated. use `getSrcivypattern()` instead.
`java.lang.String` | `getModule()`
`java.lang.String` | `getOrganisation()`
`java.lang.String` | `getPubbranch()`
`java.lang.String` | `getPubdate()`
`java.lang.String` | `getPubrevision()`
`java.lang.String` | `getResolver()`
`java.lang.String` | `getRevision()`
`java.lang.String` | `getSrcivypattern()`
`java.lang.String` | `getStatus()`
`boolean` | `isForcedeliver()`
`boolean` | `isHaltonmissing()`
`boolean` | `isMerge()`
`boolean` | `isOverwrite()`
`boolean` | `isPublishivy()`
`boolean` | `isReplacedynamicrev()`
`boolean` | `isUpdate()`
`boolean` | `isWarnonmissing()`
`void` | `setArtifactspattern(java.lang.String artifactsPattern)`
`void` | `setCache(java.io.File cache)`
`void` | `setConf(java.lang.String conf)`
`void` | `setDeliverivypattern(java.lang.String destivypattern)` Deprecated. use `setSrcivypattern(String)` instead.
`void` | `setDelivertarget(java.lang.String deliverTarget)`
`void` | `setDeliveryList(java.io.File deliveryList)`
`void` | `setForcedeliver(boolean b)`
`void` | `setHaltonmissing(boolean haltonmissing)`
`void` | `setMerge(boolean merge)`
`void` | `setModule(java.lang.String module)`
`void` | `setOrganisation(java.lang.String organisation)`
`void` | `setOverwrite(boolean overwrite)`
`void` | `setPubbranch(java.lang.String pubBranch)`
`void` | `setPubdate(java.lang.String pubdate)`
`void` | `setPublishivy(boolean publishivy)`
`void` | `setPubrevision(java.lang.String pubRevision)`
`void` | `setReplacedynamicrev(boolean replacedynamicrev)`
`void` | `setResolver(java.lang.String publishResolverName)`
`void` | `setRevision(java.lang.String revision)`
`void` | `setSrcivypattern(java.lang.String destivypattern)`
`void` | `setStatus(java.lang.String status)`
`void` | `setUpdate(boolean update)`
`void` | `setWarnonmissing(boolean warnonmissing)`

Methods inherited from class org.apache.ivy.ant.IvyTask
`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyPublish

    public IvyPublish()

Method Detail

### setCache

    public void setCache(java.io.File cache)

### getSrcivypattern

    public java.lang.String getSrcivypattern()

### setSrcivypattern

    public void setSrcivypattern(java.lang.String destivypattern)

### getDeliverivypattern

    public java.lang.String getDeliverivypattern()

  Deprecated. use `getSrcivypattern()` instead.

### setDeliverivypattern

    public void setDeliverivypattern(java.lang.String destivypattern)

  Deprecated. use `setSrcivypattern(String)` instead.

### getModule

    public java.lang.String getModule()

### setModule

    public void setModule(java.lang.String module)

### getOrganisation

    public java.lang.String getOrganisation()

### setOrganisation

    public void setOrganisation(java.lang.String organisation)

### getPubdate

    public java.lang.String getPubdate()

### setPubdate

    public void setPubdate(java.lang.String pubdate)

### getPubrevision

    public java.lang.String getPubrevision()

### setPubrevision

    public void setPubrevision(java.lang.String pubRevision)

### getPubbranch

    public java.lang.String getPubbranch()

### setPubbranch

    public void setPubbranch(java.lang.String pubBranch)

### getRevision

    public java.lang.String getRevision()

### setRevision

    public void setRevision(java.lang.String revision)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String status)

### setConf

    public void setConf(java.lang.String conf)

### setDelivertarget

    public void setDelivertarget(java.lang.String deliverTarget)

### setDeliveryList

    public void setDeliveryList(java.io.File deliveryList)

### getResolver

    public java.lang.String getResolver()

### setResolver

    public void setResolver(java.lang.String publishResolverName)

### getArtifactspattern

    public java.lang.String getArtifactspattern()

### setArtifactspattern

    public void setArtifactspattern(java.lang.String artifactsPattern)

### addArtifactspattern

    public void addArtifactspattern(java.lang.String artifactsPattern)

### addConfiguredArtifacts

    public void addConfiguredArtifacts(IvyPublish.ArtifactsPattern p)

### isReplacedynamicrev

    public boolean isReplacedynamicrev()

### setReplacedynamicrev

    public void setReplacedynamicrev(boolean replacedynamicrev)

### isMerge

    public boolean isMerge()

### setMerge

    public void setMerge(boolean merge)

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`

### createArtifact

    public IvyPublish.PublishArtifact createArtifact()

### isPublishivy

    public boolean isPublishivy()

### setPublishivy

    public void setPublishivy(boolean publishivy)

### isWarnonmissing

    public boolean isWarnonmissing()

### setWarnonmissing

    public void setWarnonmissing(boolean warnonmissing)

### isHaltonmissing

    public boolean isHaltonmissing()

### setHaltonmissing

    public void setHaltonmissing(boolean haltonmissing)

### isOverwrite

    public boolean isOverwrite()

### setOverwrite

    public void setOverwrite(boolean overwrite)

### setForcedeliver

    public void setForcedeliver(boolean b)

### isForcedeliver

    public boolean isForcedeliver()

### isUpdate

    public boolean isUpdate()

### setUpdate

    public void setUpdate(boolean update)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD